package com.buy507.mall.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 线下支付记录表
 */
public class DmsOfflinePaymentRecord {

	private Long id;

	// 商家银行账户ID
	private Integer sellerBankAccountId;

	// 会员ID
	private Long memberId;

	private Long orderId;

	// 订单编号
	private String orderSn;

	// 支付金额
	private BigDecimal payAmount;

	// 支付账户名
	private String paymentAccountName;

	// 支付银行名称
	private String paymentBankName;

	// 支付银行卡号
	private String paymentBankCardNum;

	// 确认状态：0->未确认；1->已确认
	private Integer confirmStatus;

	// 确认时间
	private Date confirmTime;

	// 创建时间
	private Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getSellerBankAccountId() {
		return sellerBankAccountId;
	}

	public void setSellerBankAccountId(Integer sellerBankAccountId) {
		this.sellerBankAccountId = sellerBankAccountId;
	}

	public Long getMemberId() {
		return memberId;
	}

	public void setMemberId(Long memberId) {
		this.memberId = memberId;
	}

	public Long getOrderId() {
		return orderId;
	}

	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}

	public String getOrderSn() {
		return orderSn;
	}

	public void setOrderSn(String orderSn) {
		this.orderSn = orderSn;
	}

	public BigDecimal getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(BigDecimal payAmount) {
		this.payAmount = payAmount;
	}

	public String getPaymentAccountName() {
		return paymentAccountName;
	}

	public void setPaymentAccountName(String paymentAccountName) {
		this.paymentAccountName = paymentAccountName;
	}

	public String getPaymentBankName() {
		return paymentBankName;
	}

	public void setPaymentBankName(String paymentBankName) {
		this.paymentBankName = paymentBankName;
	}

	public String getPaymentBankCardNum() {
		return paymentBankCardNum;
	}

	public void setPaymentBankCardNum(String paymentBankCardNum) {
		this.paymentBankCardNum = paymentBankCardNum;
	}

	public Integer getConfirmStatus() {
		return confirmStatus;
	}

	public void setConfirmStatus(Integer confirmStatus) {
		this.confirmStatus = confirmStatus;
	}

	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
